<div *ngIf="loading" style="height: 300px;" class="uk-flex uk-flex-center uk-flex-middle">
    <mat-spinner diameter="30"></mat-spinner>
  </div>
  

<mat-card *ngIf='!loading'>
    <mat-card-header>
        <mat-card-title>{{title}}</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <div class="uk-flex">
            <span class="uk-width-expand"></span>
            <button mat-flat-button color="primary" (click)="productDetail({},-1)">Tambah Produk</button>
        </div>
        <table class="uk-table uk-table-middle uk-table-divider">
            <thead>
                <th></th>
                <th>No</th>
                <th>Judul</th>
                <th>Penulis</th>
                <th>Penerbit</th>
                <th>Tahun Terbit</th>
                <th>ISBN</th>
                <th>Harga</th>
                <th align="right">#</th>
            </thead>
            <tbody>
                <tr *ngFor="let book of books; let idx=index">
                    <td>
                        <button mat-icon-button color="primary"  *ngIf="book.url != ''"  (click)="downloadFile(book)">
                            <mat-icon>download</mat-icon>
                        </button>
                    </td>
                    <th></th>
                    <td>{{idx+1}}</td>
                    <td>{{book.title}}</td>
                    <td>{{book.author}}</td>
                    <td>{{book.publisher}}</td>
                    <td>{{book.year}}</td>
                    <td>{{book.isbn}}</td>
                    <td>{{book.price}}</td>
                    <td align="right">
                        <button mat-button color="primary" (click)="uploadFile(book)">Upload</button>
                        <button mat-button color="primary" (click)="productDetail(book,idx)">Edit</button>
                        <button mat-button color="warn" (click)="deleteProduct(book.id,idx)"[disabled]="loadingDelete[idx]">{{loadingDelete[idx] ? 'Menghapus..':'Delete'}}</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </mat-card-content>
    </mat-card>
